Main Page Class Hierarchy Compound List File List Compound Members

# TiXmlAttribute Class Reference

An attribute is a name-value pair. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlAttribute::

List of all members.

## Public Methods

| TiXmlAttribute ()
| Construct an empty attribute.
| TiXmlAttribute (const std::string &_name, const std::string &_value)
| Construct an attribute with a name and value.
const std::string & | Name () const
| Return the name of this attribute.
const std::string & | Value () const
| Return the value of this attribute.
void | SetName (const std::string &_name)
| Set the name of this attribute.
void | SetValue (const std::string &_value)
| Set the value.
TiXmlAttribute * | Next ()
| Get the next sibling attribute in the DOM. Returns null at end.
TiXmlAttribute * | Previous ()
| Get the previous sibling attribute in the DOM. Returns null at beginning.

## Detailed Description

An attribute is a name-value pair.

Elements have an arbitrary number of attributes, each with a unique name.

Note:
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

Note:
  Attributes have a parent

The documentation for this class was generated from the following file:

- tinyxml.h